Skip to main content
POST
https://api.onstacks.io
/
v1
/
webhooks
Create webhook
curl --request POST \
  --url https://api.onstacks.io/v1/webhooks \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "url": "<string>"
}
'
{
  "data": {
    "webhook": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "url": "<string>",
      "signing_secret_prefix": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "created_by": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "email": "jsmith@example.com",
        "display_name": "<string>"
      },
      "disabled_at": "2023-11-07T05:31:56Z"
    },
    "signing_secret": "<string>"
  },
  "error": null,
  "request_id": "<string>"
}

Authorizations

Authorization
string
header
required

Workspace API key. Send it as Authorization: Bearer <api_key>.

Query Parameters

environment
enum<string>
default:sandbox

Environment scope for environment-partitioned resources. Defaults to sandbox when omitted.

Available options:
sandbox,
live

Body

application/json
name
string
required
url
string<uri>
required

Response

Workspace webhook created

data
object
required
error
null
required
request_id
string
required